export class MqttMessageError extends Error {
  constructor(msg : string) {
    super(msg)
  }
}

export class MqttMessage {
  private topic : string
  private message : object

  constructor(topic : string, inMessage : string) {
    this.topic = topic
    try {
      this.message = JSON.parse(inMessage)
    } catch (e) {
      throw new MqttMessageError(`error while parsing message, ${e.toString()}`)
    } 
  }

  getTopic() : string {
    return this.topic
  }

  getMessage() : object {
    return this.message
  }
}